> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.credit.aarthiklabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.credit.aarthiklabs.com/_mcp/server.

# Create Embeddable URL

POST https://credit.aarthiklabs.com/api/lab/sessions
Content-Type: application/json

Backend-only API-key call. This initializes or resumes the borrower scope, creates a browser bootstrap token, and returns an embeddable URL that can be opened in an iframe, webview, browser tab, or mobile app shell. The bootstrap token is embedded in the URL fragment and expires after 120 seconds.

Optionally, buyer-apps can include buyer-supplied bureau data in the top-level `bureau` object. When `bureau` is provided, `journey.creditReportConsent` must be `true`.

Reference: https://docs.credit.aarthiklabs.com/api-reference/hosted-experience/create-hosted-session

## Authentication

- `Authorization` header (bearer token, required) — Send `Authorization: Bearer <PLATFORM_API_KEY>` from a trusted back-end.

## Servers

- `https://credit.aarthiklabs.com` (Production, default)
- `https://preprod.credit.aarthiklabs.com` (PreProduction)

## Request

### Body (application/json)

This endpoint expects a HostedSessionCreateRequest.

- `borrowerProviderID` (string, required) — Stable borrower identity from the partner system.
- `journeyType` (enum, optional, default: PERSONAL_LOAN)
  - Allowed values: `PERSONAL_LOAN`, `BUSINESS_LOAN`, `GOLD_LOAN`
- `profile` (HostedProfilePrefill, optional)
- `workProfile` (HostedWorkProfilePrefill, optional)
- `address` (HostedAddressPrefill, optional)
- `journey` (HostedJourneyPrefill, optional)
- `goldLoan` (HostedGoldLoanPrefill, optional)
- `bureau` (BuyerSuppliedBureau, optional, nullable) — Optional buyer-supplied bureau data. When this object is provided, `journey.creditReportConsent` must be `true`.

## Response

### 200

Hosted Experience URL.

- `embedURL` (string, required) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `embedUrl` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `embedurl` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `Embedurl` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EmbedUrl` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EmbedURL` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBEDurl` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBEDUrl` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBEDURL` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `embed_url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `embed_Url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `embed_URL` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `Embed_url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `Embed_Url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `Embed_URL` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBED_url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBED_Url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBED_URL` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `embed-url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `embed-Url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `embed-URL` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `Embed-url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `Embed-Url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `Embed-URL` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBED-url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBED-Url` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.
- `EMBED-URL` (string, optional) — Canonical Hosted Experience URL. The fragment contains a short-lived `bt_*` bootstrap token and should be opened immediately.

## Errors

### 400 Bad Request Error

Invalid request payload.

- `error` (string, required)
- `code` (string, optional) — Machine-readable code is present for selected 4xx responses.
- `details` (map from string to any, optional)

### 401 Unauthorized Error

Missing or invalid API key, bootstrap token, session token, refresh token, or Hosted cookie session.

- `error` (string, required)
- `code` (string, optional) — Machine-readable code is present for selected 4xx responses.
- `details` (map from string to any, optional)

### 404 Not Found Error

Tenant, application, borrower, or journey was not found.

- `error` (string, required)
- `code` (string, optional) — Machine-readable code is present for selected 4xx responses.
- `details` (map from string to any, optional)

### 500 Internal Server Error

Unexpected platform failure. The response intentionally hides internal details for 5xx errors.

- `error` (string, required)
- `code` (string, optional) — Machine-readable code is present for selected 4xx responses.
- `details` (map from string to any, optional)

## Types

### HostedProfilePrefill

- `contactNumber` (string, optional) — Indian mobile number. Required for most applications unless contact number is explicitly optional.
- `personalemail` (string, optional, nullable)
- `pan` (string, optional, nullable)
- `panName` (string, optional, nullable)
- `dob` (date, optional, nullable)
- `gender` (enum, optional, nullable)
  - Allowed values: `male`, `female`, `transgender`

### HostedWorkProfilePrefill

- `officialemail` (string, optional, nullable)
- `employmentType` (enum, optional, nullable)
  - Allowed values: `salaried`, `selfEmployed`
- `companyName` (string, optional, nullable)
- `income` (HostedWorkProfilePrefillIncome, optional, nullable)
- `incomeType` (enum, optional, nullable, default: monthly)
  - Allowed values: `monthly`, `annual`
- `udyamNumber` (string, optional, nullable)

### HostedAddressPrefill

- `addressL1` (string, optional, nullable)
- `addressL2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `state` (string, optional, nullable)
- `pincode` (string, optional, nullable)

### HostedJourneyPrefill

- `endUse` (string, optional, nullable) — Product-specific end-use value.
- `creditReportConsent` (HostedJourneyPrefillCreditReportConsent, optional, nullable) — Borrower credit report consent flag. This must resolve to `true` when top-level `bureau` data is provided.

### HostedGoldLoanPrefill

- `userType` (enum, optional)
  - Allowed values: `individual`, `non-individual`
- `constitution` (string, optional, nullable)
- `jewelleryWeightGrams` (HostedGoldLoanPrefillJewelleryWeightGrams, optional, nullable)
- `purity` (enum, optional)
  - Allowed values: `24K`, `22K`, `21K`, `18K`, `14K`, `9K`
- `endUse` (enum, optional)
  - Allowed values: `marriage`, `familyFunctions`, `medicalTreatmentAndEmergencies`, `travelEducationExpenses`, `businessExpansion`, `agricultureAndFarmRelatedNeeds`, `purchaseOfEquipment`, `other`
- `aaID` (string, optional, nullable)
- `requestedAmount` (HostedGoldLoanPrefillRequestedAmount, optional, nullable)
- `requestedTenureMonths` (HostedGoldLoanPrefillRequestedTenureMonths, optional, nullable)

### BuyerSuppliedBureau

Buyer-supplied bureau data collected by the buyer-app. The raw payload is stored with provenance and is not forwarded into the borrower-facing Hosted runtime.

- `type` (enum, required) — Credit bureau that produced the supplied report.
  - Allowed values: `EXPERIAN`, `CIBIL`, `CRIF`, `EQUIFAX`
- `data` (map from string to any, required) — Raw bureau report payload supplied by the buyer-app. Arrays are not accepted at the top level, and the payload must be within the supported size limit.
- `pulledAt` (datetime, optional) — Optional timestamp for when the buyer-app pulled or received the bureau report.
- `reportReference` (string, optional) — Optional partner-side report reference for reconciliation and support.
- `consentReference` (string, optional) — Optional partner-side borrower consent reference for audit and reconciliation.

### HostedWorkProfilePrefillIncome

- string
- double

### HostedJourneyPrefillCreditReportConsent

Borrower credit report consent flag. This must resolve to `true` when top-level `bureau` data is provided.

- boolean
- string
- double

### HostedGoldLoanPrefillJewelleryWeightGrams

- string
- double

### HostedGoldLoanPrefillRequestedAmount

- string
- double

### HostedGoldLoanPrefillRequestedTenureMonths

- integer
- string

## Examples

### Personal Loan (minimal pre-fill)

**Request**

```json
{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": {
    "contactNumber": "9876543210"
  }
}
```

**Response**

```json
{
  "embedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "embedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "Embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EmbedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EmbedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBEDurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBEDUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBEDURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "Embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "Embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "Embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBED_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBED_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBED_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "Embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "Embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "Embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBED-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBED-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal",
  "EMBED-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_minimal"
}
```

**SDK Code**

```python Personal Loan (minimal pre-fill)
import requests

url = "https://credit.aarthiklabs.com/api/lab/sessions"

payload = {
    "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "journeyType": "PERSONAL_LOAN",
    "profile": { "contactNumber": "9876543210" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Personal Loan (minimal pre-fill)
const url = 'https://credit.aarthiklabs.com/api/lab/sessions';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"borrowerProviderID":"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx","journeyType":"PERSONAL_LOAN","profile":{"contactNumber":"9876543210"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Personal Loan (minimal pre-fill)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://credit.aarthiklabs.com/api/lab/sessions"

	payload := strings.NewReader("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Personal Loan (minimal pre-fill)
require 'uri'
require 'net/http'

url = URI("https://credit.aarthiklabs.com/api/lab/sessions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Personal Loan (minimal pre-fill)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://credit.aarthiklabs.com/api/lab/sessions")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\"\n  }\n}")
  .asString();
```

```php Personal Loan (minimal pre-fill)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://credit.aarthiklabs.com/api/lab/sessions', [
  'body' => '{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": {
    "contactNumber": "9876543210"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Personal Loan (minimal pre-fill)
using RestSharp;

var client = new RestClient("https://credit.aarthiklabs.com/api/lab/sessions");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Personal Loan (minimal pre-fill)
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": ["contactNumber": "9876543210"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://credit.aarthiklabs.com/api/lab/sessions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Personal Loan (salaried) (extended pre-fill)

**Request**

```json
{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": {
    "contactNumber": "9876543210",
    "personalemail": "johndoe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "John Doe",
    "dob": "1970-01-01",
    "gender": "male"
  },
  "workProfile": {
    "officialemail": "john.doe@company.com",
    "employmentType": "salaried",
    "companyName": "Acme Pvt. Ltd.",
    "income": "75000",
    "incomeType": "monthly"
  },
  "address": {
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  },
  "journey": {
    "endUse": "travel",
    "creditReportConsent": true
  },
  "bureau": {
    "type": "EXPERIAN",
    "data": {
      "score": 742,
      "accounts": [
        {
          "id": "account-1",
          "status": "active"
        }
      ]
    },
    "pulledAt": "2026-05-04T10:00:00.000Z",
    "reportReference": "experian-report-1",
    "consentReference": "borrower-consent-1"
  }
}
```

**Response**

```json
{
  "embedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "embedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "Embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EmbedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EmbedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBEDurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBEDUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBEDURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "Embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "Embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "Embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBED_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBED_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBED_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "Embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "Embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "Embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBED-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBED-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried",
  "EMBED-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_salaried"
}
```

**SDK Code**

```python Personal Loan (salaried) (extended pre-fill)
import requests

url = "https://credit.aarthiklabs.com/api/lab/sessions"

payload = {
    "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "journeyType": "PERSONAL_LOAN",
    "profile": {
        "contactNumber": "9876543210",
        "personalemail": "johndoe@foobar.com",
        "pan": "ABCPE1234F",
        "panName": "John Doe",
        "dob": "1970-01-01",
        "gender": "male"
    },
    "workProfile": {
        "officialemail": "john.doe@company.com",
        "employmentType": "salaried",
        "companyName": "Acme Pvt. Ltd.",
        "income": "75000",
        "incomeType": "monthly"
    },
    "address": {
        "addressL1": "101, Sunshine Heights",
        "addressL2": "Gold Coast Road",
        "city": "Rajkot",
        "state": "Gujarat",
        "pincode": "360001"
    },
    "journey": {
        "endUse": "travel",
        "creditReportConsent": True
    },
    "bureau": {
        "type": "EXPERIAN",
        "data": {
            "score": 742,
            "accounts": [
                {
                    "id": "account-1",
                    "status": "active"
                }
            ]
        },
        "pulledAt": "2026-05-04T10:00:00.000Z",
        "reportReference": "experian-report-1",
        "consentReference": "borrower-consent-1"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Personal Loan (salaried) (extended pre-fill)
const url = 'https://credit.aarthiklabs.com/api/lab/sessions';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"borrowerProviderID":"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx","journeyType":"PERSONAL_LOAN","profile":{"contactNumber":"9876543210","personalemail":"johndoe@foobar.com","pan":"ABCPE1234F","panName":"John Doe","dob":"1970-01-01","gender":"male"},"workProfile":{"officialemail":"john.doe@company.com","employmentType":"salaried","companyName":"Acme Pvt. Ltd.","income":"75000","incomeType":"monthly"},"address":{"addressL1":"101, Sunshine Heights","addressL2":"Gold Coast Road","city":"Rajkot","state":"Gujarat","pincode":"360001"},"journey":{"endUse":"travel","creditReportConsent":true},"bureau":{"type":"EXPERIAN","data":{"score":742,"accounts":[{"id":"account-1","status":"active"}]},"pulledAt":"2026-05-04T10:00:00.000Z","reportReference":"experian-report-1","consentReference":"borrower-consent-1"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Personal Loan (salaried) (extended pre-fill)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://credit.aarthiklabs.com/api/lab/sessions"

	payload := strings.NewReader("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"johndoe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"John Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"male\"\n  },\n  \"workProfile\": {\n    \"officialemail\": \"john.doe@company.com\",\n    \"employmentType\": \"salaried\",\n    \"companyName\": \"Acme Pvt. Ltd.\",\n    \"income\": \"75000\",\n    \"incomeType\": \"monthly\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"endUse\": \"travel\",\n    \"creditReportConsent\": true\n  },\n  \"bureau\": {\n    \"type\": \"EXPERIAN\",\n    \"data\": {\n      \"score\": 742,\n      \"accounts\": [\n        {\n          \"id\": \"account-1\",\n          \"status\": \"active\"\n        }\n      ]\n    },\n    \"pulledAt\": \"2026-05-04T10:00:00.000Z\",\n    \"reportReference\": \"experian-report-1\",\n    \"consentReference\": \"borrower-consent-1\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Personal Loan (salaried) (extended pre-fill)
require 'uri'
require 'net/http'

url = URI("https://credit.aarthiklabs.com/api/lab/sessions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"johndoe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"John Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"male\"\n  },\n  \"workProfile\": {\n    \"officialemail\": \"john.doe@company.com\",\n    \"employmentType\": \"salaried\",\n    \"companyName\": \"Acme Pvt. Ltd.\",\n    \"income\": \"75000\",\n    \"incomeType\": \"monthly\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"endUse\": \"travel\",\n    \"creditReportConsent\": true\n  },\n  \"bureau\": {\n    \"type\": \"EXPERIAN\",\n    \"data\": {\n      \"score\": 742,\n      \"accounts\": [\n        {\n          \"id\": \"account-1\",\n          \"status\": \"active\"\n        }\n      ]\n    },\n    \"pulledAt\": \"2026-05-04T10:00:00.000Z\",\n    \"reportReference\": \"experian-report-1\",\n    \"consentReference\": \"borrower-consent-1\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Personal Loan (salaried) (extended pre-fill)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://credit.aarthiklabs.com/api/lab/sessions")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"johndoe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"John Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"male\"\n  },\n  \"workProfile\": {\n    \"officialemail\": \"john.doe@company.com\",\n    \"employmentType\": \"salaried\",\n    \"companyName\": \"Acme Pvt. Ltd.\",\n    \"income\": \"75000\",\n    \"incomeType\": \"monthly\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"endUse\": \"travel\",\n    \"creditReportConsent\": true\n  },\n  \"bureau\": {\n    \"type\": \"EXPERIAN\",\n    \"data\": {\n      \"score\": 742,\n      \"accounts\": [\n        {\n          \"id\": \"account-1\",\n          \"status\": \"active\"\n        }\n      ]\n    },\n    \"pulledAt\": \"2026-05-04T10:00:00.000Z\",\n    \"reportReference\": \"experian-report-1\",\n    \"consentReference\": \"borrower-consent-1\"\n  }\n}")
  .asString();
```

```php Personal Loan (salaried) (extended pre-fill)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://credit.aarthiklabs.com/api/lab/sessions', [
  'body' => '{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": {
    "contactNumber": "9876543210",
    "personalemail": "johndoe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "John Doe",
    "dob": "1970-01-01",
    "gender": "male"
  },
  "workProfile": {
    "officialemail": "john.doe@company.com",
    "employmentType": "salaried",
    "companyName": "Acme Pvt. Ltd.",
    "income": "75000",
    "incomeType": "monthly"
  },
  "address": {
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  },
  "journey": {
    "endUse": "travel",
    "creditReportConsent": true
  },
  "bureau": {
    "type": "EXPERIAN",
    "data": {
      "score": 742,
      "accounts": [
        {
          "id": "account-1",
          "status": "active"
        }
      ]
    },
    "pulledAt": "2026-05-04T10:00:00.000Z",
    "reportReference": "experian-report-1",
    "consentReference": "borrower-consent-1"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Personal Loan (salaried) (extended pre-fill)
using RestSharp;

var client = new RestClient("https://credit.aarthiklabs.com/api/lab/sessions");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"johndoe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"John Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"male\"\n  },\n  \"workProfile\": {\n    \"officialemail\": \"john.doe@company.com\",\n    \"employmentType\": \"salaried\",\n    \"companyName\": \"Acme Pvt. Ltd.\",\n    \"income\": \"75000\",\n    \"incomeType\": \"monthly\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"endUse\": \"travel\",\n    \"creditReportConsent\": true\n  },\n  \"bureau\": {\n    \"type\": \"EXPERIAN\",\n    \"data\": {\n      \"score\": 742,\n      \"accounts\": [\n        {\n          \"id\": \"account-1\",\n          \"status\": \"active\"\n        }\n      ]\n    },\n    \"pulledAt\": \"2026-05-04T10:00:00.000Z\",\n    \"reportReference\": \"experian-report-1\",\n    \"consentReference\": \"borrower-consent-1\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Personal Loan (salaried) (extended pre-fill)
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": [
    "contactNumber": "9876543210",
    "personalemail": "johndoe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "John Doe",
    "dob": "1970-01-01",
    "gender": "male"
  ],
  "workProfile": [
    "officialemail": "john.doe@company.com",
    "employmentType": "salaried",
    "companyName": "Acme Pvt. Ltd.",
    "income": "75000",
    "incomeType": "monthly"
  ],
  "address": [
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  ],
  "journey": [
    "endUse": "travel",
    "creditReportConsent": true
  ],
  "bureau": [
    "type": "EXPERIAN",
    "data": [
      "score": 742,
      "accounts": [
        [
          "id": "account-1",
          "status": "active"
        ]
      ]
    ],
    "pulledAt": "2026-05-04T10:00:00.000Z",
    "reportReference": "experian-report-1",
    "consentReference": "borrower-consent-1"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://credit.aarthiklabs.com/api/lab/sessions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Personal Loan (self-employed) (extended pre-fill)

**Request**

```json
{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": {
    "contactNumber": "9876543210",
    "personalemail": "priya_doe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "Jane Doe",
    "dob": "1970-01-01",
    "gender": "female"
  },
  "workProfile": {
    "employmentType": "selfEmployed",
    "companyName": "Acme Engineering & Trade",
    "income": "80000",
    "incomeType": "monthly",
    "udyamNumber": "UDYAM-XX-00-1234567"
  },
  "address": {
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  },
  "journey": {
    "endUse": "businessExpansion",
    "creditReportConsent": true
  }
}
```

**Response**

```json
{
  "embedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "embedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "Embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EmbedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EmbedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBEDurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBEDUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBEDURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "Embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "Embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "Embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBED_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBED_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBED_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "Embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "Embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "Embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBED-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBED-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed",
  "EMBED-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=PERSONAL_LOAN#bt_live_personal_self_employed"
}
```

**SDK Code**

```python Personal Loan (self-employed) (extended pre-fill)
import requests

url = "https://credit.aarthiklabs.com/api/lab/sessions"

payload = {
    "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "journeyType": "PERSONAL_LOAN",
    "profile": {
        "contactNumber": "9876543210",
        "personalemail": "priya_doe@foobar.com",
        "pan": "ABCPE1234F",
        "panName": "Jane Doe",
        "dob": "1970-01-01",
        "gender": "female"
    },
    "workProfile": {
        "employmentType": "selfEmployed",
        "companyName": "Acme Engineering & Trade",
        "income": "80000",
        "incomeType": "monthly",
        "udyamNumber": "UDYAM-XX-00-1234567"
    },
    "address": {
        "addressL1": "101, Sunshine Heights",
        "addressL2": "Gold Coast Road",
        "city": "Rajkot",
        "state": "Gujarat",
        "pincode": "360001"
    },
    "journey": {
        "endUse": "businessExpansion",
        "creditReportConsent": True
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Personal Loan (self-employed) (extended pre-fill)
const url = 'https://credit.aarthiklabs.com/api/lab/sessions';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"borrowerProviderID":"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx","journeyType":"PERSONAL_LOAN","profile":{"contactNumber":"9876543210","personalemail":"priya_doe@foobar.com","pan":"ABCPE1234F","panName":"Jane Doe","dob":"1970-01-01","gender":"female"},"workProfile":{"employmentType":"selfEmployed","companyName":"Acme Engineering & Trade","income":"80000","incomeType":"monthly","udyamNumber":"UDYAM-XX-00-1234567"},"address":{"addressL1":"101, Sunshine Heights","addressL2":"Gold Coast Road","city":"Rajkot","state":"Gujarat","pincode":"360001"},"journey":{"endUse":"businessExpansion","creditReportConsent":true}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Personal Loan (self-employed) (extended pre-fill)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://credit.aarthiklabs.com/api/lab/sessions"

	payload := strings.NewReader("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"priya_doe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"Jane Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"female\"\n  },\n  \"workProfile\": {\n    \"employmentType\": \"selfEmployed\",\n    \"companyName\": \"Acme Engineering & Trade\",\n    \"income\": \"80000\",\n    \"incomeType\": \"monthly\",\n    \"udyamNumber\": \"UDYAM-XX-00-1234567\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"endUse\": \"businessExpansion\",\n    \"creditReportConsent\": true\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Personal Loan (self-employed) (extended pre-fill)
require 'uri'
require 'net/http'

url = URI("https://credit.aarthiklabs.com/api/lab/sessions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"priya_doe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"Jane Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"female\"\n  },\n  \"workProfile\": {\n    \"employmentType\": \"selfEmployed\",\n    \"companyName\": \"Acme Engineering & Trade\",\n    \"income\": \"80000\",\n    \"incomeType\": \"monthly\",\n    \"udyamNumber\": \"UDYAM-XX-00-1234567\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"endUse\": \"businessExpansion\",\n    \"creditReportConsent\": true\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Personal Loan (self-employed) (extended pre-fill)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://credit.aarthiklabs.com/api/lab/sessions")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"priya_doe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"Jane Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"female\"\n  },\n  \"workProfile\": {\n    \"employmentType\": \"selfEmployed\",\n    \"companyName\": \"Acme Engineering & Trade\",\n    \"income\": \"80000\",\n    \"incomeType\": \"monthly\",\n    \"udyamNumber\": \"UDYAM-XX-00-1234567\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"endUse\": \"businessExpansion\",\n    \"creditReportConsent\": true\n  }\n}")
  .asString();
```

```php Personal Loan (self-employed) (extended pre-fill)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://credit.aarthiklabs.com/api/lab/sessions', [
  'body' => '{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": {
    "contactNumber": "9876543210",
    "personalemail": "priya_doe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "Jane Doe",
    "dob": "1970-01-01",
    "gender": "female"
  },
  "workProfile": {
    "employmentType": "selfEmployed",
    "companyName": "Acme Engineering & Trade",
    "income": "80000",
    "incomeType": "monthly",
    "udyamNumber": "UDYAM-XX-00-1234567"
  },
  "address": {
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  },
  "journey": {
    "endUse": "businessExpansion",
    "creditReportConsent": true
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Personal Loan (self-employed) (extended pre-fill)
using RestSharp;

var client = new RestClient("https://credit.aarthiklabs.com/api/lab/sessions");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"PERSONAL_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"priya_doe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"Jane Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"female\"\n  },\n  \"workProfile\": {\n    \"employmentType\": \"selfEmployed\",\n    \"companyName\": \"Acme Engineering & Trade\",\n    \"income\": \"80000\",\n    \"incomeType\": \"monthly\",\n    \"udyamNumber\": \"UDYAM-XX-00-1234567\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"endUse\": \"businessExpansion\",\n    \"creditReportConsent\": true\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Personal Loan (self-employed) (extended pre-fill)
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "PERSONAL_LOAN",
  "profile": [
    "contactNumber": "9876543210",
    "personalemail": "priya_doe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "Jane Doe",
    "dob": "1970-01-01",
    "gender": "female"
  ],
  "workProfile": [
    "employmentType": "selfEmployed",
    "companyName": "Acme Engineering & Trade",
    "income": "80000",
    "incomeType": "monthly",
    "udyamNumber": "UDYAM-XX-00-1234567"
  ],
  "address": [
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  ],
  "journey": [
    "endUse": "businessExpansion",
    "creditReportConsent": true
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://credit.aarthiklabs.com/api/lab/sessions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Gold Loan (minimal pre-fill)

**Request**

```json
{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "GOLD_LOAN",
  "profile": {
    "contactNumber": "9876543210"
  }
}
```

**Response**

```json
{
  "embedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "embedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "Embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EmbedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EmbedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBEDurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBEDUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBEDURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "Embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "Embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "Embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBED_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBED_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBED_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "Embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "Embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "Embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBED-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBED-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal",
  "EMBED-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_minimal"
}
```

**SDK Code**

```python Gold Loan (minimal pre-fill)
import requests

url = "https://credit.aarthiklabs.com/api/lab/sessions"

payload = {
    "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "journeyType": "GOLD_LOAN",
    "profile": { "contactNumber": "9876543210" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Gold Loan (minimal pre-fill)
const url = 'https://credit.aarthiklabs.com/api/lab/sessions';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"borrowerProviderID":"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx","journeyType":"GOLD_LOAN","profile":{"contactNumber":"9876543210"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Gold Loan (minimal pre-fill)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://credit.aarthiklabs.com/api/lab/sessions"

	payload := strings.NewReader("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"GOLD_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Gold Loan (minimal pre-fill)
require 'uri'
require 'net/http'

url = URI("https://credit.aarthiklabs.com/api/lab/sessions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"GOLD_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Gold Loan (minimal pre-fill)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://credit.aarthiklabs.com/api/lab/sessions")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"GOLD_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\"\n  }\n}")
  .asString();
```

```php Gold Loan (minimal pre-fill)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://credit.aarthiklabs.com/api/lab/sessions', [
  'body' => '{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "GOLD_LOAN",
  "profile": {
    "contactNumber": "9876543210"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Gold Loan (minimal pre-fill)
using RestSharp;

var client = new RestClient("https://credit.aarthiklabs.com/api/lab/sessions");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"GOLD_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Gold Loan (minimal pre-fill)
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "GOLD_LOAN",
  "profile": ["contactNumber": "9876543210"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://credit.aarthiklabs.com/api/lab/sessions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Gold Loan (extended pre-fill)

**Request**

```json
{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "GOLD_LOAN",
  "profile": {
    "contactNumber": "9876543210",
    "personalemail": "john_doe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "John Doe",
    "dob": "1970-01-01",
    "gender": "male"
  },
  "workProfile": {
    "officialemail": "john_doe@company.com",
    "employmentType": "salaried",
    "companyName": "Acme Global Inc.",
    "income": "90000",
    "incomeType": "monthly"
  },
  "address": {
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  },
  "journey": {
    "creditReportConsent": true
  },
  "goldLoan": {
    "userType": "individual",
    "jewelleryWeightGrams": "52",
    "purity": "22K",
    "endUse": "medicalTreatmentAndEmergencies",
    "aaID": "9876543210@finvu",
    "requestedAmount": "400000",
    "requestedTenureMonths": 5
  }
}
```

**Response**

```json
{
  "embedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "embedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "Embedurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EmbedUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EmbedURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBEDurl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBEDUrl": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBEDURL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "Embed_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "Embed_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "Embed_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBED_url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBED_Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBED_URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "Embed-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "Embed-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "Embed-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBED-url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBED-Url": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended",
  "EMBED-URL": "https://credit.aarthiklabs.com/lab/embed?tenant_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&application_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&borrower_provider_id=xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx&journey_type=GOLD_LOAN#bt_live_gold_extended"
}
```

**SDK Code**

```python Gold Loan (extended pre-fill)
import requests

url = "https://credit.aarthiklabs.com/api/lab/sessions"

payload = {
    "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "journeyType": "GOLD_LOAN",
    "profile": {
        "contactNumber": "9876543210",
        "personalemail": "john_doe@foobar.com",
        "pan": "ABCPE1234F",
        "panName": "John Doe",
        "dob": "1970-01-01",
        "gender": "male"
    },
    "workProfile": {
        "officialemail": "john_doe@company.com",
        "employmentType": "salaried",
        "companyName": "Acme Global Inc.",
        "income": "90000",
        "incomeType": "monthly"
    },
    "address": {
        "addressL1": "101, Sunshine Heights",
        "addressL2": "Gold Coast Road",
        "city": "Rajkot",
        "state": "Gujarat",
        "pincode": "360001"
    },
    "journey": { "creditReportConsent": True },
    "goldLoan": {
        "userType": "individual",
        "jewelleryWeightGrams": "52",
        "purity": "22K",
        "endUse": "medicalTreatmentAndEmergencies",
        "aaID": "9876543210@finvu",
        "requestedAmount": "400000",
        "requestedTenureMonths": 5
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Gold Loan (extended pre-fill)
const url = 'https://credit.aarthiklabs.com/api/lab/sessions';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"borrowerProviderID":"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx","journeyType":"GOLD_LOAN","profile":{"contactNumber":"9876543210","personalemail":"john_doe@foobar.com","pan":"ABCPE1234F","panName":"John Doe","dob":"1970-01-01","gender":"male"},"workProfile":{"officialemail":"john_doe@company.com","employmentType":"salaried","companyName":"Acme Global Inc.","income":"90000","incomeType":"monthly"},"address":{"addressL1":"101, Sunshine Heights","addressL2":"Gold Coast Road","city":"Rajkot","state":"Gujarat","pincode":"360001"},"journey":{"creditReportConsent":true},"goldLoan":{"userType":"individual","jewelleryWeightGrams":"52","purity":"22K","endUse":"medicalTreatmentAndEmergencies","aaID":"9876543210@finvu","requestedAmount":"400000","requestedTenureMonths":5}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Gold Loan (extended pre-fill)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://credit.aarthiklabs.com/api/lab/sessions"

	payload := strings.NewReader("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"GOLD_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"john_doe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"John Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"male\"\n  },\n  \"workProfile\": {\n    \"officialemail\": \"john_doe@company.com\",\n    \"employmentType\": \"salaried\",\n    \"companyName\": \"Acme Global Inc.\",\n    \"income\": \"90000\",\n    \"incomeType\": \"monthly\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"creditReportConsent\": true\n  },\n  \"goldLoan\": {\n    \"userType\": \"individual\",\n    \"jewelleryWeightGrams\": \"52\",\n    \"purity\": \"22K\",\n    \"endUse\": \"medicalTreatmentAndEmergencies\",\n    \"aaID\": \"9876543210@finvu\",\n    \"requestedAmount\": \"400000\",\n    \"requestedTenureMonths\": 5\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Gold Loan (extended pre-fill)
require 'uri'
require 'net/http'

url = URI("https://credit.aarthiklabs.com/api/lab/sessions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"GOLD_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"john_doe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"John Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"male\"\n  },\n  \"workProfile\": {\n    \"officialemail\": \"john_doe@company.com\",\n    \"employmentType\": \"salaried\",\n    \"companyName\": \"Acme Global Inc.\",\n    \"income\": \"90000\",\n    \"incomeType\": \"monthly\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"creditReportConsent\": true\n  },\n  \"goldLoan\": {\n    \"userType\": \"individual\",\n    \"jewelleryWeightGrams\": \"52\",\n    \"purity\": \"22K\",\n    \"endUse\": \"medicalTreatmentAndEmergencies\",\n    \"aaID\": \"9876543210@finvu\",\n    \"requestedAmount\": \"400000\",\n    \"requestedTenureMonths\": 5\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Gold Loan (extended pre-fill)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://credit.aarthiklabs.com/api/lab/sessions")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"GOLD_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"john_doe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"John Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"male\"\n  },\n  \"workProfile\": {\n    \"officialemail\": \"john_doe@company.com\",\n    \"employmentType\": \"salaried\",\n    \"companyName\": \"Acme Global Inc.\",\n    \"income\": \"90000\",\n    \"incomeType\": \"monthly\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"creditReportConsent\": true\n  },\n  \"goldLoan\": {\n    \"userType\": \"individual\",\n    \"jewelleryWeightGrams\": \"52\",\n    \"purity\": \"22K\",\n    \"endUse\": \"medicalTreatmentAndEmergencies\",\n    \"aaID\": \"9876543210@finvu\",\n    \"requestedAmount\": \"400000\",\n    \"requestedTenureMonths\": 5\n  }\n}")
  .asString();
```

```php Gold Loan (extended pre-fill)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://credit.aarthiklabs.com/api/lab/sessions', [
  'body' => '{
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "GOLD_LOAN",
  "profile": {
    "contactNumber": "9876543210",
    "personalemail": "john_doe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "John Doe",
    "dob": "1970-01-01",
    "gender": "male"
  },
  "workProfile": {
    "officialemail": "john_doe@company.com",
    "employmentType": "salaried",
    "companyName": "Acme Global Inc.",
    "income": "90000",
    "incomeType": "monthly"
  },
  "address": {
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  },
  "journey": {
    "creditReportConsent": true
  },
  "goldLoan": {
    "userType": "individual",
    "jewelleryWeightGrams": "52",
    "purity": "22K",
    "endUse": "medicalTreatmentAndEmergencies",
    "aaID": "9876543210@finvu",
    "requestedAmount": "400000",
    "requestedTenureMonths": 5
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Gold Loan (extended pre-fill)
using RestSharp;

var client = new RestClient("https://credit.aarthiklabs.com/api/lab/sessions");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"borrowerProviderID\": \"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx\",\n  \"journeyType\": \"GOLD_LOAN\",\n  \"profile\": {\n    \"contactNumber\": \"9876543210\",\n    \"personalemail\": \"john_doe@foobar.com\",\n    \"pan\": \"ABCPE1234F\",\n    \"panName\": \"John Doe\",\n    \"dob\": \"1970-01-01\",\n    \"gender\": \"male\"\n  },\n  \"workProfile\": {\n    \"officialemail\": \"john_doe@company.com\",\n    \"employmentType\": \"salaried\",\n    \"companyName\": \"Acme Global Inc.\",\n    \"income\": \"90000\",\n    \"incomeType\": \"monthly\"\n  },\n  \"address\": {\n    \"addressL1\": \"101, Sunshine Heights\",\n    \"addressL2\": \"Gold Coast Road\",\n    \"city\": \"Rajkot\",\n    \"state\": \"Gujarat\",\n    \"pincode\": \"360001\"\n  },\n  \"journey\": {\n    \"creditReportConsent\": true\n  },\n  \"goldLoan\": {\n    \"userType\": \"individual\",\n    \"jewelleryWeightGrams\": \"52\",\n    \"purity\": \"22K\",\n    \"endUse\": \"medicalTreatmentAndEmergencies\",\n    \"aaID\": \"9876543210@finvu\",\n    \"requestedAmount\": \"400000\",\n    \"requestedTenureMonths\": 5\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Gold Loan (extended pre-fill)
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "borrowerProviderID": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "journeyType": "GOLD_LOAN",
  "profile": [
    "contactNumber": "9876543210",
    "personalemail": "john_doe@foobar.com",
    "pan": "ABCPE1234F",
    "panName": "John Doe",
    "dob": "1970-01-01",
    "gender": "male"
  ],
  "workProfile": [
    "officialemail": "john_doe@company.com",
    "employmentType": "salaried",
    "companyName": "Acme Global Inc.",
    "income": "90000",
    "incomeType": "monthly"
  ],
  "address": [
    "addressL1": "101, Sunshine Heights",
    "addressL2": "Gold Coast Road",
    "city": "Rajkot",
    "state": "Gujarat",
    "pincode": "360001"
  ],
  "journey": ["creditReportConsent": true],
  "goldLoan": [
    "userType": "individual",
    "jewelleryWeightGrams": "52",
    "purity": "22K",
    "endUse": "medicalTreatmentAndEmergencies",
    "aaID": "9876543210@finvu",
    "requestedAmount": "400000",
    "requestedTenureMonths": 5
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://credit.aarthiklabs.com/api/lab/sessions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```